"use strict";
const common_vendor = require("../common/vendor.js");
const _sfc_main = {
  __name: "search",
  emits: ["handLeConveyData"],
  setup(__props, { emit: conveyData }) {
    const typeList = common_vendor.ref(["全部", "预约成功", "已通行", "已取消", "候补中"]);
    const typeIndex = common_vendor.ref(0);
    const timeList = common_vendor.ref(["全部", "当天", "本周", "本月"]);
    const timeIndex = common_vendor.ref(0);
    const bindPickerChange = (e, type) => {
      if (type === 1) {
        typeIndex.value = e.detail.value;
      } else {
        timeIndex.value = e.detail.value;
      }
      conveyData("handLeConveyData", {
        typeIndex: typeIndex.value,
        timeIndex: timeIndex.value
      });
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.t(typeList.value[typeIndex.value]),
        b: common_vendor.o(($event) => bindPickerChange($event, 1)),
        c: typeIndex.value,
        d: typeList.value,
        e: common_vendor.t(timeList.value[timeIndex.value]),
        f: common_vendor.o(($event) => bindPickerChange($event, 2)),
        g: timeIndex.value,
        h: timeList.value
      };
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-5fd12acd"], ["__file", "E:/workSpace/schoolBus-reservation/components/search.vue"]]);
wx.createComponent(Component);
